OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_SweptSurface Class Reference

`#include <StepGeom_SweptSurface.hxx>`

Inheritance diagram for StepGeom_SweptSurface:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_SweptSurface ()
| Returns a SweptSurface .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Curve)&aSweptCurve)
Standard_EXPORT void | SetSweptCurve (const Handle(StepGeom_Curve)&aSweptCurve)
Standard_EXPORT Handle_StepGeom_Curve | SweptCurve () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_Curve | sweptCurve

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_SweptSurface::StepGeom_SweptSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_SweptSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Surface. Reimplemented in StepGeom_SurfaceOfLinearExtrusion, and StepGeom_SurfaceOfRevolution.

virtual Standard_EXPORT void StepGeom_SweptSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Curve)& | aSweptCurve
| ) | `[virtual]`

| Reimplemented in StepGeom_SurfaceOfLinearExtrusion, and StepGeom_SurfaceOfRevolution.

virtual Standard_EXPORT void StepGeom_SweptSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT void StepGeom_SweptSurface::SetSweptCurve | ( | const Handle(StepGeom_Curve)& | aSweptCurve | ) |

Standard_EXPORT Handle_StepGeom_Curve StepGeom_SweptSurface::SweptCurve | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Curve StepGeom_SweptSurface::sweptCurve`[private]`

The documentation for this class was generated from the following file:

- StepGeom_SweptSurface.hxx